Client API: DNS
Authoritative DNS zones, records, DNSSEC, and per-zone query stats.
Authoritative DNS zones, records, DNSSEC, and per-zone query stats.
Base URL: https://api.coritan.com/api/v1. Paths below are complete.
To try these requests in the browser, open the interactive Client API reference.
Operations
Section titled OperationsList DNS LB regions
Section titled List DNS LB regionsGET /api/v1/dns/lb-regions
Authentication: an access token, sent as Authorization: Bearer <token>.
Responses
Section titled Responses| Status | Meaning |
|---|---|
200 |
Success. |
List zones
Section titled List zonesGET /api/v1/dns/zones
Authentication: an access token, sent as Authorization: Bearer <token>.
Parameters
Section titled Parameters| Name | In | Type | Required | Description |
|---|---|---|---|---|
page |
query | integer | no | Default: 1. |
per_page |
query | integer | no | Default: 25. |
Responses
Section titled Responses| Status | Meaning |
|---|---|
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
A 200 response is a list; each item has these fields:
| Field | Type |
|---|---|
[].id |
integer |
[].service_id |
integer or null |
[].user_id |
integer |
[].org_id |
integer or null |
[].domain |
string |
[].status |
string |
[].dnssec_enabled |
boolean |
[].serial |
integer |
[].soa_email |
string |
[].record_count |
integer or null |
[].created_at |
string (date-time) |
[].updated_at |
string (date-time) |
Create zone
Section titled Create zonePOST /api/v1/dns/zones
Authentication: an access token, sent as Authorization: Bearer <token>.
Request body
Section titled Request bodyapplication/json (required)
| Field | Type | Required |
|---|---|---|
domain |
string | yes |
Responses
Section titled Responses| Status | Meaning |
|---|---|
201 |
Success. |
422 |
The request is not valid. detail lists each problem. |
Fields of a 201 response:
| Field | Type |
|---|---|
id |
integer |
service_id |
integer or null |
user_id |
integer |
org_id |
integer or null |
domain |
string |
status |
string |
dnssec_enabled |
boolean |
serial |
integer |
soa_email |
string |
record_count |
integer or null |
created_at |
string (date-time) |
updated_at |
string (date-time) |
Get zone
Section titled Get zoneGET /api/v1/dns/zones/{zone_id}
Authentication: an access token, sent as Authorization: Bearer <token>.
Parameters
Section titled Parameters| Name | In | Type | Required |
|---|---|---|---|
zone_id |
path | integer | yes |
Responses
Section titled Responses| Status | Meaning |
|---|---|
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
Fields of a 200 response:
| Field | Type |
|---|---|
id |
integer |
service_id |
integer or null |
user_id |
integer |
org_id |
integer or null |
domain |
string |
status |
string |
dnssec_enabled |
boolean |
serial |
integer |
soa_email |
string |
record_count |
integer or null |
created_at |
string (date-time) |
updated_at |
string (date-time) |
Update zone
Section titled Update zonePATCH /api/v1/dns/zones/{zone_id}
Authentication: an access token, sent as Authorization: Bearer <token>.
Parameters
Section titled Parameters| Name | In | Type | Required |
|---|---|---|---|
zone_id |
path | integer | yes |
Request body
Section titled Request bodyapplication/json (required)
| Field | Type | Required |
|---|---|---|
soa_email |
string or null | no |
Responses
Section titled Responses| Status | Meaning |
|---|---|
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
Fields of a 200 response:
| Field | Type |
|---|---|
id |
integer |
service_id |
integer or null |
user_id |
integer |
org_id |
integer or null |
domain |
string |
status |
string |
dnssec_enabled |
boolean |
serial |
integer |
soa_email |
string |
record_count |
integer or null |
created_at |
string (date-time) |
updated_at |
string (date-time) |
Delete zone
Section titled Delete zoneDELETE /api/v1/dns/zones/{zone_id}
Authentication: an access token, sent as Authorization: Bearer <token>.
Parameters
Section titled Parameters| Name | In | Type | Required |
|---|---|---|---|
zone_id |
path | integer | yes |
Responses
Section titled Responses| Status | Meaning |
|---|---|
204 |
Success. |
422 |
The request is not valid. detail lists each problem. |
Get DNSSEC info
Section titled Get DNSSEC infoGET /api/v1/dns/zones/{zone_id}/dnssec
Authentication: an access token, sent as Authorization: Bearer <token>.
Parameters
Section titled Parameters| Name | In | Type | Required |
|---|---|---|---|
zone_id |
path | integer | yes |
Responses
Section titled Responses| Status | Meaning |
|---|---|
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
Fields of a 200 response:
| Field | Type |
|---|---|
enabled |
boolean |
algorithm |
string |
ksk_key_tag |
integer or null |
zsk_key_tag |
integer or null |
ds_records |
array of string |
zsk_rotated_at |
string (date-time) or null |
Export zone
Section titled Export zoneGET /api/v1/dns/zones/{zone_id}/export
Authentication: an access token, sent as Authorization: Bearer <token>.
Parameters
Section titled Parameters| Name | In | Type | Required |
|---|---|---|---|
zone_id |
path | integer | yes |
Responses
Section titled Responses| Status | Meaning |
|---|---|
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
Import zone
Section titled Import zonePOST /api/v1/dns/zones/{zone_id}/import
Authentication: an access token, sent as Authorization: Bearer <token>.
Parameters
Section titled Parameters| Name | In | Type | Required |
|---|---|---|---|
zone_id |
path | integer | yes |
Request body
Section titled Request bodyapplication/json (required)
| Field | Type | Required |
|---|---|---|
zone_file |
string | yes |
Responses
Section titled Responses| Status | Meaning |
|---|---|
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
List LB pools
Section titled List LB poolsGET /api/v1/dns/zones/{zone_id}/lb-pools
Authentication: an access token, sent as Authorization: Bearer <token>.
Parameters
Section titled Parameters| Name | In | Type | Required |
|---|---|---|---|
zone_id |
path | integer | yes |
Responses
Section titled Responses| Status | Meaning |
|---|---|
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
A 200 response is a list; each item has these fields:
| Field | Type |
|---|---|
[].id |
integer |
[].zone_id |
integer |
[].name |
string |
[].description |
string or null |
[].hostname |
string or null |
[].algorithm |
string |
[].ttl |
integer |
[].session_affinity |
string |
[].primary_location_code |
string or null |
[].enabled |
boolean |
[].members |
array of LbMemberResponse |
[].members[].id |
integer |
[].members[].pool_id |
integer |
[].members[].address |
string |
[].members[].address_type |
string |
[].members[].weight |
integer |
[].members[].priority |
integer |
[].members[].enabled |
boolean |
[].members[].health_mode |
string |
[].members[].health_port |
integer or null |
[].members[].health_path |
string |
[].members[].health_interval_s |
integer |
[].members[].health_timeout_s |
integer |
[].members[].health_status |
string |
[].members[].last_check_at |
string (date-time) or null |
[].members[].last_error |
string or null |
[].members[].created_at |
string (date-time) |
[].members[].updated_at |
string (date-time) |
[].healthy_members |
integer or null |
[].total_members |
integer or null |
[].created_at |
string (date-time) |
[].updated_at |
string (date-time) |
Create LB pool
Section titled Create LB poolPOST /api/v1/dns/zones/{zone_id}/lb-pools
Authentication: an access token, sent as Authorization: Bearer <token>.
Parameters
Section titled Parameters| Name | In | Type | Required |
|---|---|---|---|
zone_id |
path | integer | yes |
Request body
Section titled Request bodyapplication/json (required)
| Field | Type | Required |
|---|---|---|
name |
string | yes |
description |
string or null | no |
hostname |
string or null | no |
algorithm |
string | no |
ttl |
integer | no |
session_affinity |
string | no |
primary_location_code |
string or null | no |
enabled |
boolean | no |
Responses
Section titled Responses| Status | Meaning |
|---|---|
201 |
Success. |
422 |
The request is not valid. detail lists each problem. |
Fields of a 201 response:
| Field | Type |
|---|---|
id |
integer |
zone_id |
integer |
name |
string |
description |
string or null |
hostname |
string or null |
algorithm |
string |
ttl |
integer |
session_affinity |
string |
primary_location_code |
string or null |
enabled |
boolean |
members |
array of LbMemberResponse |
members[].id |
integer |
members[].pool_id |
integer |
members[].address |
string |
members[].address_type |
string |
members[].weight |
integer |
members[].priority |
integer |
members[].enabled |
boolean |
members[].health_mode |
string |
members[].health_port |
integer or null |
members[].health_path |
string |
members[].health_interval_s |
integer |
members[].health_timeout_s |
integer |
members[].health_status |
string |
members[].last_check_at |
string (date-time) or null |
members[].last_error |
string or null |
members[].created_at |
string (date-time) |
members[].updated_at |
string (date-time) |
healthy_members |
integer or null |
total_members |
integer or null |
created_at |
string (date-time) |
updated_at |
string (date-time) |
Get LB pool
Section titled Get LB poolGET /api/v1/dns/zones/{zone_id}/lb-pools/{pool_id}
Authentication: an access token, sent as Authorization: Bearer <token>.
Parameters
Section titled Parameters| Name | In | Type | Required |
|---|---|---|---|
zone_id |
path | integer | yes |
pool_id |
path | integer | yes |
Responses
Section titled Responses| Status | Meaning |
|---|---|
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
Fields of a 200 response:
| Field | Type |
|---|---|
id |
integer |
zone_id |
integer |
name |
string |
description |
string or null |
hostname |
string or null |
algorithm |
string |
ttl |
integer |
session_affinity |
string |
primary_location_code |
string or null |
enabled |
boolean |
members |
array of LbMemberResponse |
members[].id |
integer |
members[].pool_id |
integer |
members[].address |
string |
members[].address_type |
string |
members[].weight |
integer |
members[].priority |
integer |
members[].enabled |
boolean |
members[].health_mode |
string |
members[].health_port |
integer or null |
members[].health_path |
string |
members[].health_interval_s |
integer |
members[].health_timeout_s |
integer |
members[].health_status |
string |
members[].last_check_at |
string (date-time) or null |
members[].last_error |
string or null |
members[].created_at |
string (date-time) |
members[].updated_at |
string (date-time) |
healthy_members |
integer or null |
total_members |
integer or null |
created_at |
string (date-time) |
updated_at |
string (date-time) |
Update LB pool
Section titled Update LB poolPATCH /api/v1/dns/zones/{zone_id}/lb-pools/{pool_id}
Authentication: an access token, sent as Authorization: Bearer <token>.
Parameters
Section titled Parameters| Name | In | Type | Required |
|---|---|---|---|
zone_id |
path | integer | yes |
pool_id |
path | integer | yes |
Request body
Section titled Request bodyapplication/json (required)
| Field | Type | Required |
|---|---|---|
name |
string or null | no |
description |
string or null | no |
algorithm |
string or null | no |
ttl |
integer or null | no |
session_affinity |
string or null | no |
primary_location_code |
string or null | no |
enabled |
boolean or null | no |
Responses
Section titled Responses| Status | Meaning |
|---|---|
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
Fields of a 200 response:
| Field | Type |
|---|---|
id |
integer |
zone_id |
integer |
name |
string |
description |
string or null |
hostname |
string or null |
algorithm |
string |
ttl |
integer |
session_affinity |
string |
primary_location_code |
string or null |
enabled |
boolean |
members |
array of LbMemberResponse |
members[].id |
integer |
members[].pool_id |
integer |
members[].address |
string |
members[].address_type |
string |
members[].weight |
integer |
members[].priority |
integer |
members[].enabled |
boolean |
members[].health_mode |
string |
members[].health_port |
integer or null |
members[].health_path |
string |
members[].health_interval_s |
integer |
members[].health_timeout_s |
integer |
members[].health_status |
string |
members[].last_check_at |
string (date-time) or null |
members[].last_error |
string or null |
members[].created_at |
string (date-time) |
members[].updated_at |
string (date-time) |
healthy_members |
integer or null |
total_members |
integer or null |
created_at |
string (date-time) |
updated_at |
string (date-time) |
Delete LB pool
Section titled Delete LB poolDELETE /api/v1/dns/zones/{zone_id}/lb-pools/{pool_id}
Authentication: an access token, sent as Authorization: Bearer <token>.
Parameters
Section titled Parameters| Name | In | Type | Required |
|---|---|---|---|
zone_id |
path | integer | yes |
pool_id |
path | integer | yes |
Responses
Section titled Responses| Status | Meaning |
|---|---|
204 |
Success. |
422 |
The request is not valid. detail lists each problem. |
Create LB member
Section titled Create LB memberPOST /api/v1/dns/zones/{zone_id}/lb-pools/{pool_id}/members
Authentication: an access token, sent as Authorization: Bearer <token>.
Parameters
Section titled Parameters| Name | In | Type | Required |
|---|---|---|---|
zone_id |
path | integer | yes |
pool_id |
path | integer | yes |
Request body
Section titled Request bodyapplication/json (required)
| Field | Type | Required |
|---|---|---|
address |
string | yes |
address_type |
string | no |
weight |
integer | no |
priority |
integer | no |
enabled |
boolean | no |
health_mode |
string | no |
health_port |
integer or null | no |
health_path |
string | no |
health_interval_s |
integer | no |
health_timeout_s |
integer | no |
Responses
Section titled Responses| Status | Meaning |
|---|---|
201 |
Success. |
422 |
The request is not valid. detail lists each problem. |
Fields of a 201 response:
| Field | Type |
|---|---|
id |
integer |
pool_id |
integer |
address |
string |
address_type |
string |
weight |
integer |
priority |
integer |
enabled |
boolean |
health_mode |
string |
health_port |
integer or null |
health_path |
string |
health_interval_s |
integer |
health_timeout_s |
integer |
health_status |
string |
last_check_at |
string (date-time) or null |
last_error |
string or null |
created_at |
string (date-time) |
updated_at |
string (date-time) |
Update LB member
Section titled Update LB memberPATCH /api/v1/dns/zones/{zone_id}/lb-pools/{pool_id}/members/{member_id}
Authentication: an access token, sent as Authorization: Bearer <token>.
Parameters
Section titled Parameters| Name | In | Type | Required |
|---|---|---|---|
zone_id |
path | integer | yes |
pool_id |
path | integer | yes |
member_id |
path | integer | yes |
Request body
Section titled Request bodyapplication/json (required)
| Field | Type | Required |
|---|---|---|
address |
string or null | no |
weight |
integer or null | no |
priority |
integer or null | no |
enabled |
boolean or null | no |
health_mode |
string or null | no |
health_port |
integer or null | no |
health_path |
string or null | no |
health_interval_s |
integer or null | no |
health_timeout_s |
integer or null | no |
Responses
Section titled Responses| Status | Meaning |
|---|---|
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
Fields of a 200 response:
| Field | Type |
|---|---|
id |
integer |
pool_id |
integer |
address |
string |
address_type |
string |
weight |
integer |
priority |
integer |
enabled |
boolean |
health_mode |
string |
health_port |
integer or null |
health_path |
string |
health_interval_s |
integer |
health_timeout_s |
integer |
health_status |
string |
last_check_at |
string (date-time) or null |
last_error |
string or null |
created_at |
string (date-time) |
updated_at |
string (date-time) |
Delete LB member
Section titled Delete LB memberDELETE /api/v1/dns/zones/{zone_id}/lb-pools/{pool_id}/members/{member_id}
Authentication: an access token, sent as Authorization: Bearer <token>.
Parameters
Section titled Parameters| Name | In | Type | Required |
|---|---|---|---|
zone_id |
path | integer | yes |
pool_id |
path | integer | yes |
member_id |
path | integer | yes |
Responses
Section titled Responses| Status | Meaning |
|---|---|
204 |
Success. |
422 |
The request is not valid. detail lists each problem. |
Health check LB member
Section titled Health check LB memberPOST /api/v1/dns/zones/{zone_id}/lb-pools/{pool_id}/members/{member_id}/health-check
Authentication: an access token, sent as Authorization: Bearer <token>.
Parameters
Section titled Parameters| Name | In | Type | Required |
|---|---|---|---|
zone_id |
path | integer | yes |
pool_id |
path | integer | yes |
member_id |
path | integer | yes |
Responses
Section titled Responses| Status | Meaning |
|---|---|
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
Fields of a 200 response:
| Field | Type |
|---|---|
id |
integer |
pool_id |
integer |
address |
string |
address_type |
string |
weight |
integer |
priority |
integer |
enabled |
boolean |
health_mode |
string |
health_port |
integer or null |
health_path |
string |
health_interval_s |
integer |
health_timeout_s |
integer |
health_status |
string |
last_check_at |
string (date-time) or null |
last_error |
string or null |
created_at |
string (date-time) |
updated_at |
string (date-time) |
List load balancers
Section titled List load balancersGET /api/v1/dns/zones/{zone_id}/load-balancers
Authentication: an access token, sent as Authorization: Bearer <token>.
Parameters
Section titled Parameters| Name | In | Type | Required |
|---|---|---|---|
zone_id |
path | integer | yes |
Responses
Section titled Responses| Status | Meaning |
|---|---|
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
A 200 response is a list; each item has these fields:
| Field | Type |
|---|---|
[].id |
integer |
[].zone_id |
integer |
[].name |
string |
[].hostname |
string |
[].enabled |
boolean |
[].ttl |
integer |
[].session_affinity |
string |
[].steering_policy |
string |
[].location_strategy |
string |
[].fallback_pool_id |
integer or null |
[].default_pools |
array of integer |
[].location_pools |
Location Pools |
[].country_pools |
Country Pools |
[].region_pools |
Region Pools |
[].created_at |
string (date-time) |
[].updated_at |
string (date-time) |
Create load balancer
Section titled Create load balancerPOST /api/v1/dns/zones/{zone_id}/load-balancers
Authentication: an access token, sent as Authorization: Bearer <token>.
Parameters
Section titled Parameters| Name | In | Type | Required |
|---|---|---|---|
zone_id |
path | integer | yes |
Request body
Section titled Request bodyapplication/json (required)
| Field | Type | Required |
|---|---|---|
name |
string | yes |
hostname |
string | yes |
ttl |
integer | no |
session_affinity |
string | no |
steering_policy |
string | no |
location_strategy |
string | no |
default_pools |
array of integer | no |
fallback_pool_id |
integer or null | no |
location_pools |
Location Pools | no |
country_pools |
Country Pools | no |
region_pools |
Region Pools | no |
enabled |
boolean | no |
Responses
Section titled Responses| Status | Meaning |
|---|---|
201 |
Success. |
422 |
The request is not valid. detail lists each problem. |
Fields of a 201 response:
| Field | Type |
|---|---|
id |
integer |
zone_id |
integer |
name |
string |
hostname |
string |
enabled |
boolean |
ttl |
integer |
session_affinity |
string |
steering_policy |
string |
location_strategy |
string |
fallback_pool_id |
integer or null |
default_pools |
array of integer |
location_pools |
Location Pools |
country_pools |
Country Pools |
region_pools |
Region Pools |
created_at |
string (date-time) |
updated_at |
string (date-time) |
Get load balancer
Section titled Get load balancerGET /api/v1/dns/zones/{zone_id}/load-balancers/{lb_id}
Authentication: an access token, sent as Authorization: Bearer <token>.
Parameters
Section titled Parameters| Name | In | Type | Required |
|---|---|---|---|
zone_id |
path | integer | yes |
lb_id |
path | integer | yes |
Responses
Section titled Responses| Status | Meaning |
|---|---|
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
Fields of a 200 response:
| Field | Type |
|---|---|
id |
integer |
zone_id |
integer |
name |
string |
hostname |
string |
enabled |
boolean |
ttl |
integer |
session_affinity |
string |
steering_policy |
string |
location_strategy |
string |
fallback_pool_id |
integer or null |
default_pools |
array of integer |
location_pools |
Location Pools |
country_pools |
Country Pools |
region_pools |
Region Pools |
created_at |
string (date-time) |
updated_at |
string (date-time) |
Update load balancer
Section titled Update load balancerPATCH /api/v1/dns/zones/{zone_id}/load-balancers/{lb_id}
Authentication: an access token, sent as Authorization: Bearer <token>.
Parameters
Section titled Parameters| Name | In | Type | Required |
|---|---|---|---|
zone_id |
path | integer | yes |
lb_id |
path | integer | yes |
Request body
Section titled Request bodyapplication/json (required)
| Field | Type | Required |
|---|---|---|
name |
string or null | no |
hostname |
string or null | no |
ttl |
integer or null | no |
session_affinity |
string or null | no |
steering_policy |
string or null | no |
location_strategy |
string or null | no |
default_pools |
array of integer or null | no |
fallback_pool_id |
integer or null | no |
location_pools |
object or null | no |
country_pools |
object or null | no |
region_pools |
object or null | no |
enabled |
boolean or null | no |
Responses
Section titled Responses| Status | Meaning |
|---|---|
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
Fields of a 200 response:
| Field | Type |
|---|---|
id |
integer |
zone_id |
integer |
name |
string |
hostname |
string |
enabled |
boolean |
ttl |
integer |
session_affinity |
string |
steering_policy |
string |
location_strategy |
string |
fallback_pool_id |
integer or null |
default_pools |
array of integer |
location_pools |
Location Pools |
country_pools |
Country Pools |
region_pools |
Region Pools |
created_at |
string (date-time) |
updated_at |
string (date-time) |
Delete load balancer
Section titled Delete load balancerDELETE /api/v1/dns/zones/{zone_id}/load-balancers/{lb_id}
Authentication: an access token, sent as Authorization: Bearer <token>.
Parameters
Section titled Parameters| Name | In | Type | Required |
|---|---|---|---|
zone_id |
path | integer | yes |
lb_id |
path | integer | yes |
Responses
Section titled Responses| Status | Meaning |
|---|---|
204 |
Success. |
422 |
The request is not valid. detail lists each problem. |
Preview load balancer
Section titled Preview load balancerPOST /api/v1/dns/zones/{zone_id}/load-balancers/{lb_id}/preview
Authentication: an access token, sent as Authorization: Bearer <token>.
Parameters
Section titled Parameters| Name | In | Type | Required |
|---|---|---|---|
zone_id |
path | integer | yes |
lb_id |
path | integer | yes |
Request body
Section titled Request bodyapplication/json (required)
| Field | Type | Required |
|---|---|---|
from_location |
string or null | no |
from_ip |
string or null | no |
qtype |
string | no |
Responses
Section titled Responses| Status | Meaning |
|---|---|
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
List origin pools
Section titled List origin poolsGET /api/v1/dns/zones/{zone_id}/pools
Authentication: an access token, sent as Authorization: Bearer <token>.
Parameters
Section titled Parameters| Name | In | Type | Required |
|---|---|---|---|
zone_id |
path | integer | yes |
Responses
Section titled Responses| Status | Meaning |
|---|---|
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
A 200 response is a list; each item has these fields:
| Field | Type |
|---|---|
[].id |
integer |
[].zone_id |
integer |
[].name |
string |
[].description |
string or null |
[].hostname |
string or null |
[].algorithm |
string |
[].ttl |
integer |
[].session_affinity |
string |
[].primary_location_code |
string or null |
[].enabled |
boolean |
[].members |
array of LbMemberResponse |
[].members[].id |
integer |
[].members[].pool_id |
integer |
[].members[].address |
string |
[].members[].address_type |
string |
[].members[].weight |
integer |
[].members[].priority |
integer |
[].members[].enabled |
boolean |
[].members[].health_mode |
string |
[].members[].health_port |
integer or null |
[].members[].health_path |
string |
[].members[].health_interval_s |
integer |
[].members[].health_timeout_s |
integer |
[].members[].health_status |
string |
[].members[].last_check_at |
string (date-time) or null |
[].members[].last_error |
string or null |
[].members[].created_at |
string (date-time) |
[].members[].updated_at |
string (date-time) |
[].healthy_members |
integer or null |
[].total_members |
integer or null |
[].created_at |
string (date-time) |
[].updated_at |
string (date-time) |
Create origin pool
Section titled Create origin poolPOST /api/v1/dns/zones/{zone_id}/pools
Authentication: an access token, sent as Authorization: Bearer <token>.
Parameters
Section titled Parameters| Name | In | Type | Required |
|---|---|---|---|
zone_id |
path | integer | yes |
Request body
Section titled Request bodyapplication/json (required)
| Field | Type | Required |
|---|---|---|
name |
string | yes |
description |
string or null | no |
hostname |
string or null | no |
algorithm |
string | no |
ttl |
integer | no |
session_affinity |
string | no |
primary_location_code |
string or null | no |
enabled |
boolean | no |
Responses
Section titled Responses| Status | Meaning |
|---|---|
201 |
Success. |
422 |
The request is not valid. detail lists each problem. |
Fields of a 201 response:
| Field | Type |
|---|---|
id |
integer |
zone_id |
integer |
name |
string |
description |
string or null |
hostname |
string or null |
algorithm |
string |
ttl |
integer |
session_affinity |
string |
primary_location_code |
string or null |
enabled |
boolean |
members |
array of LbMemberResponse |
members[].id |
integer |
members[].pool_id |
integer |
members[].address |
string |
members[].address_type |
string |
members[].weight |
integer |
members[].priority |
integer |
members[].enabled |
boolean |
members[].health_mode |
string |
members[].health_port |
integer or null |
members[].health_path |
string |
members[].health_interval_s |
integer |
members[].health_timeout_s |
integer |
members[].health_status |
string |
members[].last_check_at |
string (date-time) or null |
members[].last_error |
string or null |
members[].created_at |
string (date-time) |
members[].updated_at |
string (date-time) |
healthy_members |
integer or null |
total_members |
integer or null |
created_at |
string (date-time) |
updated_at |
string (date-time) |
Get origin pool
Section titled Get origin poolGET /api/v1/dns/zones/{zone_id}/pools/{pool_id}
Authentication: an access token, sent as Authorization: Bearer <token>.
Parameters
Section titled Parameters| Name | In | Type | Required |
|---|---|---|---|
zone_id |
path | integer | yes |
pool_id |
path | integer | yes |
Responses
Section titled Responses| Status | Meaning |
|---|---|
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
Fields of a 200 response:
| Field | Type |
|---|---|
id |
integer |
zone_id |
integer |
name |
string |
description |
string or null |
hostname |
string or null |
algorithm |
string |
ttl |
integer |
session_affinity |
string |
primary_location_code |
string or null |
enabled |
boolean |
members |
array of LbMemberResponse |
members[].id |
integer |
members[].pool_id |
integer |
members[].address |
string |
members[].address_type |
string |
members[].weight |
integer |
members[].priority |
integer |
members[].enabled |
boolean |
members[].health_mode |
string |
members[].health_port |
integer or null |
members[].health_path |
string |
members[].health_interval_s |
integer |
members[].health_timeout_s |
integer |
members[].health_status |
string |
members[].last_check_at |
string (date-time) or null |
members[].last_error |
string or null |
members[].created_at |
string (date-time) |
members[].updated_at |
string (date-time) |
healthy_members |
integer or null |
total_members |
integer or null |
created_at |
string (date-time) |
updated_at |
string (date-time) |
Update origin pool
Section titled Update origin poolPATCH /api/v1/dns/zones/{zone_id}/pools/{pool_id}
Authentication: an access token, sent as Authorization: Bearer <token>.
Parameters
Section titled Parameters| Name | In | Type | Required |
|---|---|---|---|
zone_id |
path | integer | yes |
pool_id |
path | integer | yes |
Request body
Section titled Request bodyapplication/json (required)
| Field | Type | Required |
|---|---|---|
name |
string or null | no |
description |
string or null | no |
algorithm |
string or null | no |
ttl |
integer or null | no |
session_affinity |
string or null | no |
primary_location_code |
string or null | no |
enabled |
boolean or null | no |
Responses
Section titled Responses| Status | Meaning |
|---|---|
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
Fields of a 200 response:
| Field | Type |
|---|---|
id |
integer |
zone_id |
integer |
name |
string |
description |
string or null |
hostname |
string or null |
algorithm |
string |
ttl |
integer |
session_affinity |
string |
primary_location_code |
string or null |
enabled |
boolean |
members |
array of LbMemberResponse |
members[].id |
integer |
members[].pool_id |
integer |
members[].address |
string |
members[].address_type |
string |
members[].weight |
integer |
members[].priority |
integer |
members[].enabled |
boolean |
members[].health_mode |
string |
members[].health_port |
integer or null |
members[].health_path |
string |
members[].health_interval_s |
integer |
members[].health_timeout_s |
integer |
members[].health_status |
string |
members[].last_check_at |
string (date-time) or null |
members[].last_error |
string or null |
members[].created_at |
string (date-time) |
members[].updated_at |
string (date-time) |
healthy_members |
integer or null |
total_members |
integer or null |
created_at |
string (date-time) |
updated_at |
string (date-time) |
Delete origin pool
Section titled Delete origin poolDELETE /api/v1/dns/zones/{zone_id}/pools/{pool_id}
Authentication: an access token, sent as Authorization: Bearer <token>.
Parameters
Section titled Parameters| Name | In | Type | Required |
|---|---|---|---|
zone_id |
path | integer | yes |
pool_id |
path | integer | yes |
Responses
Section titled Responses| Status | Meaning |
|---|---|
204 |
Success. |
422 |
The request is not valid. detail lists each problem. |
Create origin member
Section titled Create origin memberPOST /api/v1/dns/zones/{zone_id}/pools/{pool_id}/members
Authentication: an access token, sent as Authorization: Bearer <token>.
Parameters
Section titled Parameters| Name | In | Type | Required |
|---|---|---|---|
zone_id |
path | integer | yes |
pool_id |
path | integer | yes |
Request body
Section titled Request bodyapplication/json (required)
| Field | Type | Required |
|---|---|---|
address |
string | yes |
address_type |
string | no |
weight |
integer | no |
priority |
integer | no |
enabled |
boolean | no |
health_mode |
string | no |
health_port |
integer or null | no |
health_path |
string | no |
health_interval_s |
integer | no |
health_timeout_s |
integer | no |
Responses
Section titled Responses| Status | Meaning |
|---|---|
201 |
Success. |
422 |
The request is not valid. detail lists each problem. |
Fields of a 201 response:
| Field | Type |
|---|---|
id |
integer |
pool_id |
integer |
address |
string |
address_type |
string |
weight |
integer |
priority |
integer |
enabled |
boolean |
health_mode |
string |
health_port |
integer or null |
health_path |
string |
health_interval_s |
integer |
health_timeout_s |
integer |
health_status |
string |
last_check_at |
string (date-time) or null |
last_error |
string or null |
created_at |
string (date-time) |
updated_at |
string (date-time) |
Update origin member
Section titled Update origin memberPATCH /api/v1/dns/zones/{zone_id}/pools/{pool_id}/members/{member_id}
Authentication: an access token, sent as Authorization: Bearer <token>.
Parameters
Section titled Parameters| Name | In | Type | Required |
|---|---|---|---|
zone_id |
path | integer | yes |
pool_id |
path | integer | yes |
member_id |
path | integer | yes |
Request body
Section titled Request bodyapplication/json (required)
| Field | Type | Required |
|---|---|---|
address |
string or null | no |
weight |
integer or null | no |
priority |
integer or null | no |
enabled |
boolean or null | no |
health_mode |
string or null | no |
health_port |
integer or null | no |
health_path |
string or null | no |
health_interval_s |
integer or null | no |
health_timeout_s |
integer or null | no |
Responses
Section titled Responses| Status | Meaning |
|---|---|
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
Fields of a 200 response:
| Field | Type |
|---|---|
id |
integer |
pool_id |
integer |
address |
string |
address_type |
string |
weight |
integer |
priority |
integer |
enabled |
boolean |
health_mode |
string |
health_port |
integer or null |
health_path |
string |
health_interval_s |
integer |
health_timeout_s |
integer |
health_status |
string |
last_check_at |
string (date-time) or null |
last_error |
string or null |
created_at |
string (date-time) |
updated_at |
string (date-time) |
Delete origin member
Section titled Delete origin memberDELETE /api/v1/dns/zones/{zone_id}/pools/{pool_id}/members/{member_id}
Authentication: an access token, sent as Authorization: Bearer <token>.
Parameters
Section titled Parameters| Name | In | Type | Required |
|---|---|---|---|
zone_id |
path | integer | yes |
pool_id |
path | integer | yes |
member_id |
path | integer | yes |
Responses
Section titled Responses| Status | Meaning |
|---|---|
204 |
Success. |
422 |
The request is not valid. detail lists each problem. |
Health check origin member
Section titled Health check origin memberPOST /api/v1/dns/zones/{zone_id}/pools/{pool_id}/members/{member_id}/health-check
Authentication: an access token, sent as Authorization: Bearer <token>.
Parameters
Section titled Parameters| Name | In | Type | Required |
|---|---|---|---|
zone_id |
path | integer | yes |
pool_id |
path | integer | yes |
member_id |
path | integer | yes |
Responses
Section titled Responses| Status | Meaning |
|---|---|
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
Fields of a 200 response:
| Field | Type |
|---|---|
id |
integer |
pool_id |
integer |
address |
string |
address_type |
string |
weight |
integer |
priority |
integer |
enabled |
boolean |
health_mode |
string |
health_port |
integer or null |
health_path |
string |
health_interval_s |
integer |
health_timeout_s |
integer |
health_status |
string |
last_check_at |
string (date-time) or null |
last_error |
string or null |
created_at |
string (date-time) |
updated_at |
string (date-time) |
List records
Section titled List recordsGET /api/v1/dns/zones/{zone_id}/records
Authentication: an access token, sent as Authorization: Bearer <token>.
Parameters
Section titled Parameters| Name | In | Type | Required | Description |
|---|---|---|---|---|
zone_id |
path | integer | yes | |
record_type |
query | string | no | |
name |
query | string | no | |
page |
query | integer | no | Default: 1. |
per_page |
query | integer | no | Default: 100. |
Responses
Section titled Responses| Status | Meaning |
|---|---|
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
A 200 response is a list; each item has these fields:
| Field | Type |
|---|---|
[].id |
integer |
[].zone_id |
integer |
[].name |
string |
[].record_type |
string |
[].content |
string |
[].ttl |
integer |
[].priority |
integer or null |
[].weight |
integer or null |
[].port |
integer or null |
[].proxied |
boolean |
[].comment |
string or null |
[].created_at |
string (date-time) |
[].updated_at |
string (date-time) |
Create record
Section titled Create recordPOST /api/v1/dns/zones/{zone_id}/records
Authentication: an access token, sent as Authorization: Bearer <token>.
Parameters
Section titled Parameters| Name | In | Type | Required |
|---|---|---|---|
zone_id |
path | integer | yes |
Request body
Section titled Request bodyapplication/json (required)
| Field | Type | Required |
|---|---|---|
name |
string | yes |
record_type |
string | yes |
content |
string | yes |
ttl |
integer | no |
priority |
integer or null | no |
weight |
integer or null | no |
port |
integer or null | no |
proxied |
boolean | no |
comment |
string or null | no |
Responses
Section titled Responses| Status | Meaning |
|---|---|
201 |
Success. |
422 |
The request is not valid. detail lists each problem. |
Fields of a 201 response:
| Field | Type |
|---|---|
id |
integer |
zone_id |
integer |
name |
string |
record_type |
string |
content |
string |
ttl |
integer |
priority |
integer or null |
weight |
integer or null |
port |
integer or null |
proxied |
boolean |
comment |
string or null |
created_at |
string (date-time) |
updated_at |
string (date-time) |
Get record
Section titled Get recordGET /api/v1/dns/zones/{zone_id}/records/{record_id}
Authentication: an access token, sent as Authorization: Bearer <token>.
Parameters
Section titled Parameters| Name | In | Type | Required |
|---|---|---|---|
zone_id |
path | integer | yes |
record_id |
path | integer | yes |
Responses
Section titled Responses| Status | Meaning |
|---|---|
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
Fields of a 200 response:
| Field | Type |
|---|---|
id |
integer |
zone_id |
integer |
name |
string |
record_type |
string |
content |
string |
ttl |
integer |
priority |
integer or null |
weight |
integer or null |
port |
integer or null |
proxied |
boolean |
comment |
string or null |
created_at |
string (date-time) |
updated_at |
string (date-time) |
Update record
Section titled Update recordPUT /api/v1/dns/zones/{zone_id}/records/{record_id}
Authentication: an access token, sent as Authorization: Bearer <token>.
Parameters
Section titled Parameters| Name | In | Type | Required |
|---|---|---|---|
zone_id |
path | integer | yes |
record_id |
path | integer | yes |
Request body
Section titled Request bodyapplication/json (required)
| Field | Type | Required |
|---|---|---|
content |
string or null | no |
ttl |
integer or null | no |
priority |
integer or null | no |
weight |
integer or null | no |
port |
integer or null | no |
proxied |
boolean or null | no |
comment |
string or null | no |
Responses
Section titled Responses| Status | Meaning |
|---|---|
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
Fields of a 200 response:
| Field | Type |
|---|---|
id |
integer |
zone_id |
integer |
name |
string |
record_type |
string |
content |
string |
ttl |
integer |
priority |
integer or null |
weight |
integer or null |
port |
integer or null |
proxied |
boolean |
comment |
string or null |
created_at |
string (date-time) |
updated_at |
string (date-time) |
Delete record
Section titled Delete recordDELETE /api/v1/dns/zones/{zone_id}/records/{record_id}
Authentication: an access token, sent as Authorization: Bearer <token>.
Parameters
Section titled Parameters| Name | In | Type | Required |
|---|---|---|---|
zone_id |
path | integer | yes |
record_id |
path | integer | yes |
Responses
Section titled Responses| Status | Meaning |
|---|---|
204 |
Success. |
422 |
The request is not valid. detail lists each problem. |
Get zone stats
Section titled Get zone statsGET /api/v1/dns/zones/{zone_id}/stats
Authentication: an access token, sent as Authorization: Bearer <token>.
Parameters
Section titled Parameters| Name | In | Type | Required | Description |
|---|---|---|---|---|
zone_id |
path | integer | yes | |
hours |
query | integer | no | Default: 24. |
Responses
Section titled Responses| Status | Meaning |
|---|---|
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
Fields of a 200 response:
| Field | Type |
|---|---|
zone_id |
integer |
period_hours |
integer |
total_queries |
integer |
noerror |
integer |
nxdomain |
integer |
servfail |
integer |
by_type |
By Type |
hourly |
array of object |